function A=randisympd(I,N,d,varargin)
% FUNCTION fc_amat.random.randisympd
% -- randisympd(I,N,d)
%      Return a N-by-d-by-d amat object with symmetric positive definite 
%      matrices generate from fc_amat.random.randisdd
%
% -- randnsympd(...,key, value)
%      Optional key/value pairs are those of the fc_amat.random.randisdd 
%      function except 'complex' which is forced to false. keys could be:
%        - 'class',  are those of Matlab randi function.
%
%      See also: fc_amat.random.randiherpd, fc_amat.random.randi
%                class amat, randi
%
  A=fc_amat.random.randisdd(I,N,d,'complex',false,varargin{:}); % generate N regular d-by-d matrices (as stricly diagonally dominante matrices)
  A=A'*A;
end

