if ~exist('small'), small=false;end
Lfun={@(X,Y) mtimes(X,Y), @(X,Y) X*Y, @(X,Y) fc_bench.demos.matprod02(X,Y) };
names={'mtimes(X,Y)','X*Y',''};
Comment={'# benchmarking functions @(X,Y) mtimes(X,Y) and @(X,Y) X*Y', ...
         '# where X and Y are m-by-m matrices'};
error=@(o1,o2) norm(o1-o2,Inf);
setfun=@(varargin) fc_bench.demos.setMatProd02(varargin{:});
if small, LN=10:10:50;else, LN=100:100:400;end
fc_bench.bench(Lfun, setfun, 'LN',LN, 'comment',Comment, 'names',names, 'info',false);
